<?php

/***************************
* PonVFTP                  *
* Written By: Pongles      *
* Website: pongles.com     *
* Licence: GPL             *
****************************/

// defines version
define( "PONVFTP_VERSION", "0.7" );

// debug mode
if( file_exists( "debug.php" ) ) {
    require( "debug.php" );
}

// access levels
define( "ACCESS_GUEST", 0 );
define( "ACCESS_USER", 1 );
define( "ACCESS_ADMIN", 2 );
define( "ACCESS_SADMIN", 3 );

$g_rgAccessLevels = array( "Guest", "User", "Admin", "Super-Admin" );

// submit codes
define( "SUBMIT_SUCCESS", 1 );
define( "SUBMIT_FINAL", 2 );

// module types
define( "MODULE_SUB", "s" );
define( "MODULE_PRE", "p" );

// module declaration
define( "MODULE_LOGIN", 0 );
define( "MODULE_ACCOUNT", 1 );
define( "MODULE_BROWSE", 2 );
define( "MODULE_ADMIN", 4 );
define( "MODULE_CONF", 5 );
define( "MODULE_LOGOUT", 6 );

define( "MODULE_DEFAULT", MODULE_LOGIN );

function AddModule( $strName, $strLink, $iAccess, $bJavascript = false )
{
    global $g_rgModules;
    $g_rgModules[] = array( "name" => $strName, "link" => $strLink, "access" => $iAccess );
}

function AddModuleCustom( $strName, $strLink, $strFunctionName )
{
    global $g_rgModules;
    $g_rgModules[] = array( "name" => $strName, "link" => $strLink, "function" => $strFunctionName );
}

function Module_Browse( )
{
    global $g_bAllowAnon;
    return ( $g_bAllowAnon || CheckUserAccess( ACCESS_USER ) );
}

AddModule( "Login", "login", ACCESS_GUEST );                // MODULE_LOGIN
AddModule( "My Account", "account", ACCESS_USER );          // MODULE_ACCOUNT
AddModuleCustom( "Browse", "browse", "Module_Browse" );     // MODULE_BROWSE
AddModule( "Users", "admin", ACCESS_ADMIN, true );          // MODULE_ADMIN
AddModule( "Configuration", "conf", ACCESS_ADMIN, true );   // MODULE_CONF
AddModule( "Logout", "logout", ACCESS_USER );               // MODULE_LOGOUT

// data on extensions
$g_rgExtensions[] = array( "name" => "Text Document", "image" => "001", "ext" => array( "txt", "doc", "docx", "rtf" ) );
$g_rgExtensions[] = array( "name" => "Image", "image" => "202", "ext" => array( "jpg", "jpeg", "gif", "png", "tiff", "psd", "tga" ) );
$g_rgExtensions[] = array( "name" => "Multimedia", "image" => "201", "ext" => array( "wav", "mp3", "ogg", "wmv" ) );
$g_rgExtensions[] = array( "name" => "Archive", "image" => "100", "ext" => array( "zip", "rar", "7z" ) );
$g_rgExtensions[] = array( "name" => "PHP Document", "image" => "330", "ext" => array( "php", "php5" ) );

// sort codes
define( "SORT_NONE", 0 );
define( "SORT_ALPHA", 1 );
define( "SORT_SIZE", 2 );
define( "SORT_TYPE", 3 );
define( "SORT_LASTMOD", 4 );
define( "LAST_SORT", SORT_LASTMOD );

// types of filesystem element
define( "FTYPE_UNREADABLE", 0 );
define( "FTYPE_FOLDER", 1 );
define( "FTYPE_FILE", 2 );
                                      
?>
