<?php

/***************************
* PonVFTP                  *
* Written By: Pongles      *
* Website: pongles.com     *
* Licence: GPL             *
****************************/

// load main config
require( "global.php" );
require( "sdata.php" );
require( "config.php" );

// set error control
if( !DEBUG ) {
	error_reporting( FALSE );
}

// load violatile data
require( "vdata.php" );

// load functions
require( "functions.php" );

// start timing
$Timer = new CTimer;
$Timer->starttime();

// setup user info or handle any logins
$g_rgUser = SetupUser();

// find mod data
$g_rgModData = LoadModule();

// setup common vars
$g_bSubmit = $_GET[ "sub" ] ;
$g_strAction = $_GET[ "action" ];
$g_iID = $_GET[ "id" ];
$g_bCompleted = $_GET[ "comp" ];
                                                                            
if( !is_numeric( $g_iID ) )
    $g_iID = 0;
    
// check submissions
if( $g_bSubmit )
{
	$strPath = GetModulePath( MODULE_SUB );
        
	if( !file_exists( $strPath ) ) {
		die( "Fatal Error: Missing Submission Module" );
	}
	
	require( $strPath );
	
	if( empty( $g_strError ) )
	{
        $strRedirectPath = "index.php?mod=";
        
        if( empty( $g_strCustomLink ) ) {
		    $strRedirectPath .= $g_rgModData[ "link" ];
		}
        else {
            $strRedirectPath .= $g_strCustomLink;
		}

        $strRedirectPath .= "&comp=1";
		
		SendHeader( $strRedirectPath );
	}
}

// load pre-module
$strPreModule = GetModulePath( MODULE_PRE );

if( file_exists( $strPreModule ) ) {
    require( $strPreModule );
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
<head>
<title>PonVFTP - <?php echo $g_rgModData[ "name" ]; ?></title>
<style>
.header  {
    font-size : 30pt;
    font-family : arial;
    color : 000000;
    text-decoration : none;
    font-style: italic;
}

.main {
    font-size : 10pt;
    font-family : verdana;
    color : 000000;
    text-decoration : none;
}

.footer  {
    font-size : 9pt;
    font-family : serif;
    color : 000000;
    text-decoration : none;
}

A:link {
	background: none;
	color: #000000;
}

A:active {
	background: none;
	color: #000000;
	text-decoration: underline;
}

A:visited {
	background: none;
	color: #000000;
}

A:hover {
	background: none;
	color: #000000;
}

.tmain {
    background-color: #808080;
}

.tlight {
	background-color: #EEEEEE;
}

.tlightb {
	background-color: #EEEEEE;
    font-weight: bold;
}

.tdark {
	background-color: #676767;
    font-weight: bold;
}

.noborder {
    border-collapse: collapse;
    border-color: #000000;
}

.error {
	color: #FF0000;
}
    
.completed {
    color: #00FF00;
}

</style>
<?php

$strJSInclude = $g_rgModData[ "jscript" ];

if( !empty( $g_rgModData[ "jscript" ] ) ) {
    echo "<script type=\"text/javascript\" src=\"jscripts/" . $g_rgModData[ "link" ] . ".js\"></script>\n";
}

?>
</head>
<body marginwidth="10" marginheight="10" leftmargin="10" topmargin="40">
<table class="noborder" align="center" width="750" border="1">
<tr class="tmain" valign="bottom" align="right">
<td class="header"><br>&nbsp;<?php echo $g_strServerName; ?>&nbsp;</td>
</tr>
<tr>
<td class="main">
<table class="main" cellpadding="4" width="100%">
<tr>
<td align="center">
<?php PrintLinks(); ?>
</td>
</table>
</td>
</tr>
<tr>
<td>
<table cellpadding="8" width="95%" align="center">
<tr>
<td class="main">
<?php

if( !empty( $g_strError ) ) {
    SendError( $g_strError );
}
else if( $g_bCompleted ) {
    echo "<div class=\"completed\">Action Completed.</div><br>";
}

require( GetModulePath( ) );

$strBottom = "<a href=\"http://www.pongles.com\" target=\"_blank\">PonVFTP</a> v" . PONVFTP_VERSION . " Generated in " . sprintf( "%01.4fs", $Timer->displaytime() );

if( DEBUG ) {
    $strBottom .= " ( MD5: " . md5( file_get_contents( "modules/" . $g_rgModData[ "link" ] . ".php" ) ) . " )";
}
    
?>
</td>
</tr>
</table>
</td>
</tr>
<tr>
<td class="tmain">
<table align="center">
<tr>
<td class="footer"><b><?php echo $strBottom; ?></td>
</tr>
</table>
</td>
</tr>
</table>
</body>
</html>