<?php

/***************************
* PonVFTP                  *
* Written By: Pongles      *
* Website: pongles.com     *
* Licence: GPL             *
****************************/

if( $g_strAction == "add" )
{
    $strUsername = $_POST[ "username" ];
    $iAccess = $_POST[ "access" ];
    $strEmail = $_POST[ "email" ];    
    $strHome = $_POST[ "home" ];
    $bReadOnly = $_POST[ "readonly" ];
    
    if( empty( $strUsername ) || empty( $iAccess ) )
    {
        $g_strError = "Empty Fields";
        return;
    }
    
    if( FindUser( $strUsername, $rgUser ) )
    {
        $g_strError = "User Already Exists";
        return;
    }
    
    if( !IsValidAccessID( $iAccess ) )
    {
        $g_strError = "Invalid Access";
        return;
    }
    
    if( IsSendingPass() )
    {
        if( !IsValidEmail( $strEmail ) )
        {
                $g_strError = "Invalid Email";
                return;
        }
    }
    else
    {
        if( $_POST[ "password" ] != $_POST[ "rpassword" ] )
        {
            $g_strError = "Passwords do not Match";
            return;            
        }
    }
    
    $iUserID = CreateUser();
    
    $strPassword = "";
    $strPassSalt = CreatePassSalt();
    
    if( !IsSendingPass() )
    {
         $strPassword = $_POST[ "password" ];
         
         if( !empty( $strPassword ) ) {
            $strMD5Pass = CreatePassHash( $strPassword, $strPassSalt );
		}
    }
    else
    {
        $strPassword = CreateRandom( 8 );
        $strMD5Pass = CreatePassHash( $strPassword, $strPassSalt );
    }
    
    $rgUser[ "username" ] = $strUsername;
    $rgUser[ "passhash" ] = $strMD5Pass;
    $rgUser[ "passsalt" ] = $strPassSalt;        
    $rgUser[ "access" ] = $iAccess;
    
    if( $iAccess == ACCESS_USER )
    {
        $rgUser[ "home" ] = ParseHomeDir( $strHome );
        $rgUser[ "readonly" ] = $bReadOnly;
    }
        
    $rgUser[ "email" ] = $strEmail;
    
    if( !UpdateUser( $iUserID, $rgUser ) )
    {
        $g_strError = "Cannot Update User";
        return;        
    }
    
    if( !RewriteVData() )
    {
        $g_strError = "Cannot Update VData";
        return;
    }

    if( IsSendingPass() )
    {    
        $SendPassword = new CMail();
        $SendPassword->strTo = $strEmail;
        $SendPassword->strFrom = $g_strMailServerEmail;
        $SendPassword->strSubject = "PonVFTP Account @ " . $g_strMailServerName;
        $SendPassword->strMessage = "Username: ".$strUsername."\nPassword: ".$strPassword;
        
        if( !$SendPassword->send() )
        {
            $g_strError = "Could not send Email";
            return;            
        }
    }
}
else if( $g_strAction == "edit" )
{
    $iAccess = $_POST[ "access" ];
    $strEmail = $_POST[ "email" ];
    $strHome = $_POST[ "home" ];
    $bReadOnly = $_POST[ "readonly" ];
    
    if( !IsValidAccessID( $iAccess ) )
    {
        $g_strError = "Invalid Access";
        return;
    }
    
    if( IsSendingPass() && !IsValidEmail( $strEmail ) )
    {
        $g_strError = "Invalid Email";
        return;
    }
    
    if( !LoadUser( $g_iID, $rgUser ) )
    {
        $g_strError = "Cannot Find User";
        return;        
    }    
    
    if( $rgUser[ "id" ] == $g_rgUser[ "id" ] )
    {
		$g_strError = "Cannot Edit own Account";
		return;        
    }       
    
    $rgUser[ "access" ] = $iAccess;
    
    if( $iAccess == ACCESS_USER )
    {
        $rgUser[ "home" ] =  ParseHomeDir( $strHome );
        $rgUser[ "readonly" ] = $bReadOnly;
    }
        
    $rgUser[ "email" ] = $strEmail;        
    
    if( !UpdateUser( $g_iID, $rgUser ) )
    {
        $g_strError = "Cannot Update User";
        return;        
    }
    
    if( !RewriteVData() )
    {
        $g_strError = "Cannot Update VData";
        return;
    }
}
else if( $g_strAction == "delete" )
{
    if( !FindUserID( $g_iID, $rgDeleteUser ) )
    {
        $g_strError = "Unknown User";
        return;
    }
    
    if( $rgDeleteUser[ "id" ] == $g_rgUser[ "id" ] )
    {
		$g_strError = "Cannot Delete own Account";
		return;        
    }
    
    RemoveUser( $g_iID );
    
    if( !RewriteVData() )
    {
        $g_strError = "Cannot Update VData";
        return;
    }        
}
else if( $g_strAction == "cpass" )
{
    if( !FindUserID( $g_iID, $rgUser ) )
    {
        $g_strError = "Unknown User";
        return;
    }
    
    if( $rgUser[ "id" ] == $g_rgUser[ "id" ] )
    {
		$g_strError = "Cannot Modify Password of own Account";
		return;        
    }
    
    if( IsSendingPass() )
    {
        $strPassword = CreateRandom( 8 );
    }
    else
    {
        $strPassword = $_POST[ "password" ];
        
        if( $strPassword != $_POST[ "rpassword" ] )
        {
        		$g_strError = "Passwords do not Match";
                return;
        }
    }

    if( !empty( $strPassword ) ) {  
        $rgUser[ "passhash" ] = CreatePassHash( $strPassword, $rgUser[ "passsalt" ] );
	}
    
    if( !UpdateUser( $g_iID, $rgUser ) )
    {
        $g_strError = "Cannot Update User";
        return;        
    }    
    
    if( !RewriteVData() )
    {
        $g_strError = "Cannot Update VData";
        return;
    }    
}

?>
